declare type WebSocketID = string;
interface FastRTCWebSocket {
    OPEN: string;
    readyState: string;
    _uuid: WebSocketID;
    _acceptedOffers: {
        [offerId: string]: WebSocketID;
    };
    _offers: Array<CachedOffer>;
    _requestors: Array<FastRTCWebSocket>;
}
declare class CachedOffer {
    id: string;
    sdp: string;
    candidates: Array<RTCIceCandidate>;
    isComplete: boolean;
    constructor(offerId: any, sdp: any);
}
interface InitPayload {
    type: 'init';
    sdp: string;
    offerId: string;
    from: WebSocketID;
}
interface OfferPayload {
    type: 'offer';
    sdp: string;
    offerId: any;
}
interface CandidatePayload {
    type: 'candidate';
    candidate: RTCIceCandidate;
    to?: WebSocketID;
    offerId?: string;
}
interface AnswerPayload {
    type: 'answer';
    sdp: string;
    to: WebSocketID;
}
declare type IncomingPayload = InitPayload | OfferPayload | CandidatePayload | AnswerPayload;
declare const handleOnMessage: (clients: Set<FastRTCWebSocket>, ws: FastRTCWebSocket, payload: IncomingPayload) => boolean;
export default handleOnMessage;
